Summary:	PCMan File Manager
Name:		pcmanfm
Version:	0.9.8
Release:	%mkrel 4
URL:		http://pcmanfm.sourceforge.net/
Source0:	%{name}-%{version}.tar.gz
Patch0:		pcmanfm-0.9.8-mga-default-config.patch
# (ahmad) add upstream patch to  fix some IPC issues; this should fix pcmanfm
# not opening except one instance
Patch1:		pcmanfm-IPC-fixes.patch
License:	GPLv2+
Group:		File tools
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel pkgconfig
BuildRequires:	intltool desktop-file-utils
BuildRequires:	libfm-devel >= 0.1.14
Requires:	shared-mime-info
Requires:	gnome-icon-theme
Suggests:	gvfs
Conflicts:	lxde-common < 0.5.5

%description
PCMan File Manager is an extremely fast and lightweight file manager which
features tabbed browsing and user-friendly interface.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .IPC

%build
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%find_lang %{name}

# clean .desktop file
desktop-file-install --vendor="" \
  --add-category="System;FileTools" \
  --remove-mime-type="x-directory/normal" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%{name}
%{_sysconfdir}/xdg/%{name}/default/pcmanfm.conf
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}


%changelog
* Fri Apr 08 2011 ahmad <ahmad> 0.9.8-4.mga1
+ Revision: 82018
- default wallpaper is still in /usr/share/mga/backgrounds (even if the plan was
  to drop the distro specific /mga/ ..)

* Sat Feb 05 2011 ahmad <ahmad> 0.9.8-3.mga1
+ Revision: 47039
- default wallpaper is now /usr/share/backgrounds/default.jpg
- imported package pcmanfm


* Sat Dec 04 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.8-2mdv2011.0
+ Revision: 609297
- add upstream patch to  fix some IPC issues; this should fix pcmanfm
  not opening except one instance

* Sun Nov 28 2010 Funda Wang <fwang@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 602286
- new versio 0.9.8

* Mon Jul 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.rc1.3mdv2011.0
+ Revision: 560860
- conflicts with lxde-common < 0.5.5
- svn cp pcmanfm/branches/current to pcmanfm/current, step two of bringing pcmanfm2
  out of the svn branch

* Thu Jul 22 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.7-0.rc1.2mdv2011.0
+ Revision: 557099
- update to 0.9.7 latest git snapshot, this brings more translations and a couple
  of crash fixes
- drop the rename patch, pcmanfm2 has been renamed to pcmanfm upstream

* Tue Apr 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-0.beta3.1mdv2010.1
+ Revision: 539857
- new release, beta3, 0.9.5

* Mon Apr 26 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.4-0.beta2.2mdv2010.1
+ Revision: 539355
- new git snapshot
- rediff renaming patch
- improve the requires and buildrequires
- clean spec

* Mon Apr 19 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.4-0.beta2.1mdv2010.1
+ Revision: 536563
- new release beta2 0.9.4
- rediff rename patch

* Tue Apr 13 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.3-0.beta.2mdv2010.1
+ Revision: 534499
- new git snapshot
- rediff patch0

* Thu Mar 18 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.3-0.beta.1mdv2010.1
+ Revision: 525017
- new upstream release 0.9.3 beta

* Wed Mar 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.2-0.alpha.1mdv2010.1
+ Revision: 523665
- add pcmanfm.conf directly from inside the spec
- add pcmanfm.conf to configure default background
- only suggest gvfs
- update to latest git to cope with latest libfm
- add patch from OpenSuse to rename files to pcmanfm2, this will happen upstream
  with final release, but it's better to rename it with the patch to not break
  autostart stuff until then
- new version, 0.9.2 alpha
- remove hal-devel and dbus-glib-devel BR, not needed any more
- BR libfm-devel
- require gvfs
- fix typo in descripion
- fix .desktop file
- remove %%mdkversion < 200900 stuff
- drop old patches, and custom .po file


* Thu Jan 04 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.2.2-1mdv2007.0
+ Revision: 104027
- Add BuildRequires
- New release 0.3.2.2
- Import pcmanfm

* Thu Sep 14 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-2mdv2007.0
- add buildrequires libstartup-notification-1_0-devel

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 0.3.0.2-1mdk
- New release 0.3.0.2
- xdg menu

* Fri May 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2.3-1mdk
- New release 0.2.3

* Fri Apr 21 2006 Austin Acton <austin@mandriva.org> 0.2.2-1mdk
- upload havily modified spec from Shiva Huang <shivahuang@gmail.com>

